ROOTDIR=../../..
CC=cl -MD -DBUILD_DLL -I $(ROOTDIR)/include 
LD=link.exe
LDFLAGS=/SUBSYSTEM:WINDOWS /DLL /DEFAULTLIB:MSVCRT.LIB
LIBS=kernel32.lib user32.lib gdi32.lib opengl32.lib winmm.lib $(ROOTDIR)/lib/win32/vc/LibV.lib
TARGET=libcorr
LIBSO=$(TARGET).dll
SRC=$(TARGET).c
###########################################################################
all:$(LIBSO)
OBJECTS=$(SRC:.c=.obj)
.c.obj:
	$(CC) /c $(CFLAGS) $(ANSI) -I$(<D) $< /Fo$@
$(LIBSO):$(OBJECTS)
	$(LD) $(LDFLAGS) $(LIBS) $(OBJECTS) $(SUPP_OBJECTS) /DEF:$(TARGET).def /OUT:$@ /ENTRY:EntryPoint
###########################################################################
clean:
	if exist $(LIBSO) del $(LIBSO)
	if exist *.obj del $(OBJECTS)
	if exist *.exp del *.exp
	if exist *.lib del *.lib



	
